.wrapper {
	margin: 0 1rem;
	@include media-breakpoint-up(sm) {
		margin: 0 auto;
		max-width: 32rem;
	}
	@include media-breakpoint-up(md) {
		max-width: 43rem;
	}
	@include media-breakpoint-up(lg) {
		max-width: 60rem;
	}
	@include media-breakpoint-up(xl) {
		max-width: 71rem;
		height: 100%;
	}
	@include media-breakpoint-up(xxl) {
		max-width: 91rem;
	}
}

.my-btn {
	border-radius: 300px;
	font-size: 1rem;
	font-weight: bold !important;
	display: inline-block;
	text-align: center;
	cursor: pointer;
	// box-sizing: border-box;
	&--primary {
		background-color: $primary;
		color: black;
		border: none;
		font-weight: normal;
		// border: 2px solid $primary;
		transition: 0.3s;
		position: relative;
		&:hover {
			background-color: transparent;
			color: $primary;
		}
		&:hover::before{
			opacity: 1;
			transform: scaleX(1);
		}
		&:hover::after {
			opacity: 0;
			transform: scale3d(0.8, 0.8, 1);
		}
	}
	&--primary::before {
		width: 100% !important;
		height: 100% !important;
		content: '';
		position: absolute;
		top: -2px;
		left: -2px;
		z-index: -1;
		border-radius: inherit;
		border: 2px solid transparent;
		pointer-events: none;
		transition: all 0.3s;
	}
	&--primary::after {
		width: 100% !important;
		height: 100% !important;
		content: '';
		position: absolute;
		top: -2px;
		left: -2px;
		z-index: -1;
		border-radius: inherit;
		border: 2px solid transparent;
		pointer-events: none;
		transition: all 0.3s;
	}

	&--primary::before {
		border: 2px solid $primary;
		opacity: 0;
		transform: scale3d(1.2, 1.2, 1);
	}
	&--primary::after {
		background: $primary;
	}
	&--secondary {
		background-color: transparent;
		border: 1px solid $primary;
		color: $primary;
		transition: 0.3s;
		&:hover {
			background-color: $primary;
			color: black;
		}
	}
	&--dark {
		background-color: black;
		color: white;
		border: none;
		border: 1px solid black;
		&:hover {
			color: black;
			background-color: $primary;
			transition: 0.3s;
		}
	}
	&--md {
		padding: 1rem 2.5rem;
		@include media-breakpoint-up(lg) {
			padding: 1.1rem 3rem;
		}
	}
	&--xxl {
		width: 100%;
		padding: 1.1rem 2rem;
		@include media-breakpoint-up(sm) {
			width: 22rem;
			padding: 1rem 2rem;
		}
	}
}

.my-section {
	margin: 4rem 0 5rem !important;
	@include media-breakpoint-up(sm) {
		margin: 2rem 0 5rem;
	}
	@include media-breakpoint-up(xl) {
		margin: 8rem 0 7rem;
	}
	// padding: 1rem 0 5rem;
	&__text {
		font-size: 1.1rem;
		max-width: 43rem;
		line-height: 2rem;
		@include media-breakpoint-up(lg) {
			margin-bottom: 0;
		}
		@include media-breakpoint-up(xl) {
			font-size: 1.5rem;
		}
		@include media-breakpoint-up(xxl) {
			font-size: 1.75rem;
			line-height: 3rem;
			max-width: 58rem;
			letter-spacing: 1.5px;
		}
		&--bold {
			margin: 0 auto;
		}
	}
}
